## prelude-log prelude-log |

## Functions

#define | prelude_log()
#define | prelude_log_debug()
#define | prelude_log_v()
#define | prelude_log_debug_v()
void | prelude_log_set_level ()
void | prelude_log_set_debug_level ()
prelude_log_flags_t | prelude_log_get_flags ()
void | prelude_log_set_flags ()
char * | prelude_log_get_prefix ()
void | prelude_log_set_prefix ()
void | prelude_log_set_callback ()
int | prelude_log_set_logfile ()

## Types and Values

enum | prelude_log_t
enum | prelude_log_flags_t

## Description

## Functions

### prelude_log()

    #define             prelude_log(level, ...)

### prelude_log_debug()

    #define             prelude_log_debug(level, ...)

### prelude_log_v()

    #define             prelude_log_v(level, fmt, ap)

### prelude_log_debug_v()

    #define             prelude_log_debug_v(level, fmt, ap)

### prelude_log_set_level ()

    void
    prelude_log_set_level (prelude_log_t level);

### prelude_log_set_debug_level ()

    void
    prelude_log_set_debug_level (int level);

### prelude_log_get_flags ()

    prelude_log_flags_t
    prelude_log_get_flags (void);

### prelude_log_set_flags ()

    void
    prelude_log_set_flags (prelude_log_flags_t flags);

### prelude_log_get_prefix ()

    char *
    prelude_log_get_prefix (void);

### prelude_log_set_prefix ()

    void
    prelude_log_set_prefix (char *prefix);

Tell the Prelude standard logger to add `prefix` before logging a line.

#### Parameters

prefix | Pointer to the prefix to use. |

### prelude_log_set_callback ()

    void
    prelude_log_set_callback ();

``log_cb()`` will be called in place of the prelude function usally used for loging.

#### Parameters

log_cb | Callback function. |

### prelude_log_set_logfile ()

    int
    prelude_log_set_logfile (const char *filename);

## Types and Values

### enum prelude_log_t

#### Members

PRELUDE_LOG_CRIT |  |
PRELUDE_LOG_ERR |  |
PRELUDE_LOG_WARN |  |
PRELUDE_LOG_INFO |  |
PRELUDE_LOG_DEBUG |  |

### enum prelude_log_flags_t

#### Members

PRELUDE_LOG_FLAGS_QUIET |  |
PRELUDE_LOG_FLAGS_SYSLOG |  |